## class ReadResult

### Public Methods

ReadResult(ReadStatus status=FILE_NOT_HANDLED)
ReadResult(const std::string& m)
ReadResult(osg::Object* obj)
ReadResult(const ReadResult& rr)
ReadResult& operator = (const ReadResult& rr)
osg::Object* getObject()
osg::Image* getImage()
osg::Node* getNode()
bool validObject()
bool validImage()
bool validNode()
osg::Object* takeObject()
osg::Image* takeImage()
osg::Node* takeNode()
const std::string& message() const
ReadStatus status() const
bool success() const
bool error() const
bool notHandled() const

### Public Members

enum ReadStatus

### Protected Fields

ReadStatus _status
std::string _message
osg::ref_ptr<osg::Object> _object

## Documentation

`enum ReadStatus`

`FILE_NOT_HANDLED`

`FILE_LOADED`

`ERROR_IN_READING_FILE`

`ReadResult(ReadStatus status=FILE_NOT_HANDLED)`

`ReadResult(const std::string& m)`

`ReadResult(osg::Object* obj)`

`ReadResult(const ReadResult& rr)`

`ReadResult& operator = (const ReadResult& rr)`

`osg::Object* getObject()`

`osg::Image* getImage()`

`osg::Node* getNode()`

`bool validObject()`

`bool validImage()`

`bool validNode()`

`osg::Object* takeObject()`

`osg::Image* takeImage()`

`osg::Node* takeNode()`

`const std::string& message() const`

`ReadStatus status() const`

`bool success() const`

`bool error() const`

`bool notHandled() const`

`ReadStatus _status`

`std::string _message`

`osg::ref_ptr<osg::Object> _object`

This class has no child classes.

Alphabetic index HTML hierarchy of classes or Java

This page was generated with the help of DOC++.